## aspectj 1.1.1

=== modules/tests/debugger/Makefile ===
SHELL = bash

### Fill these in #######################
aspectj = C:/aspectj
root = C:/aspectj/tests
your_classpath = C:/aspectj/tests/lib#C:/classes
tools_jar = C:/apps/jdk1.3/lib/tools.jar
aspectj_lib = C:/aspectj/lib
##########################################

aspectj_src = $(aspectj)/src
jar_path = C:/apps/aspectj0.7/lib
aspectj_jars = $(jar_path)/aspectjrt.jar;$(jar_path)/aspectjtools.jar
path = debugger
tests = $(aspectj)/tests
d = $(tests)/lib
lib = $(d)/$(path)
srcpath = $(tests)
classpath = "$(d);$(your_classpath);$(aspectj_lib);$(tools_jar)"
javac_opts = -d $(d) $(g) -sourcepath $(srcpath) -classpath $(classpath)
javac_compile = javac $(javac_opts)
java_ex = Main
java_main = debugger.$(java_ex)
java_main_class = $(java_ex).class
java_opts = -classpath $(classpath)
java_args =
g = -g
ajc_compile = ajc $(g) -d $(your_classpath) -workingdir $(root)/ajworkingdir
javac_names = \
	Main\
	Tester\
	BreakpointTester\
	ThreadTester
javac_srcs = $(foreach name, $(javac_names), $(name).java)
javac_classes = $(foreach name, $(javac_names), $(d)/$(path)/$(name).class)

ajc_names = \
	TestClass\
	AJDBThreads
ajc_srcs = $(foreach name, $(ajc_names), $(name).java)
ajc_classes = $(foreach name, $(ajc_names), $(d)/$(path)/$(name).class)
test_args = -classpath "$(your_classpath);$(aspectj_jars)" -root $(root)

.SUFFIXES: .java .class

all: classes aspects

classes: 
	$(javac_compile) $(javac_srcs)

aspects: 
	$(ajc_compile) $(ajc_srcs)

run:
	java $(java_opts) $(java_main) $(java_args)

clean:
	rm -Rf *~* $(lib)/*.class

srcclean:
	rm -Rf *~* *.ajsym #*

db:
	make -C ../../debugger

test:	
	java $(java_opts) $(java_main) $(test_args)

.java.class:
	$(javac_compile) $?

=== modules/lib/jython/Lib/jxxload_help/Makefile ===
include ../../Misc/make.rules
CLASSPATH = ../..:..

## aspectj 1.6.6+dfsg

=== debian/changelog ===
aspectj (1.6.6+dfsg-4) unstable; urgency=low

  [ Torsten Werner ]
  * Remove Thomas Girard from Uploaders.
  * Change maintainers into Maintainers.

  [ Damien Raude-Morvan ]
  * Upload to unstable (fix FTBFS)
  * Drop usage of gjdoc (use default-jdk javadoc tool)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Apr 2010 20:21:51 +0200

aspectj (1.6.6+dfsg-3) unstable; urgency=low

  * Add Maven support:
    - debian/control: Build-Depends on maven-repo-helper
    - debian/rules: Use mh_installpoms and mh_installjar
    - Remove debian/aspectj.install
  * debian/README.source: Remove stuff about quilt

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 21 Mar 2010 00:18:12 +0100

aspectj (1.6.6+dfsg-2) unstable; urgency=low

  * Fix FTBFS (fix ant.lib.path declaration):
    - New ant_0_8_fix.diff patch (Closes: #571341).
  * Updated Standards-Version to 3.8.4 (no changes needed).
  * Use 3.0 (quilt) source format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 27 Feb 2010 14:24:57 +0100

aspectj (1.6.6+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Update 02_use_gjdoc.diff patch
  * Update my email address

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Oct 2009 16:37:23 +0200

aspectj (1.6.5+dfsg-1) unstable; urgency=low

  [ Thomas Girard ]
  * Move to main. Closes: #480132.
  * Build-Depend on default-jdk.

  [ Damien Raude-Morvan ]
  * Add myself to Uploaders
  * Updated Standards-Version to 3.8.3:
    - Describe quilt patch system in README.source
    - Move "aspectj" package to "java" section
  * Switch to quilt to manage patches:
    - Use patchsys-quilt.mk in debian/rules
    - Build-Depends on quilt
    - Refresh all patches
  * Extends bootstrap.xml script:
    - Rebuild jdtcore-for-aspectj.jar from jdtcore-for-aspectj-src.zip
      Build-Depends on eclipse-platform
    - Bootstrap using aspectj itself for modules/lib/aspectj/lib/*.jar
      Build-Depends on aspectj
    - Rebuild and overwrite build.jar
  * New 05_build_classpath patch to build AJDT
  * Add Build-Depends on libasm3-java, eclipse-platform, gjdoc and html2text
  * Create a DFSG orig tarballs:
    - Describe removed bits in debian/README.source
    - Describe embedded code copies in debian/copyright
  * debian/watch: mangle debian version to remove "+dfsg"
  * Complete review of debian/copyright
  * Use debhelper >= 7
  * Register documentations using doc-base

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 18 Aug 2009 20:48:47 +0200

aspectj (1.5.4-1) unstable; urgency=low

  [ Michael Koch ]
  * New upstream version. Closes: #459363
  * Updated Standards-Version to 3.7.3.
  * Added myself to Uploaders.

  [ Thomas Girard ]
  * Add Homepage: control field, and convert XS-Vcs-* to Vcs-*.

  [ Mark Howard ]
  * debian/watch: added.

 -- Michael Koch <konqueror@gmx.de>  Sat, 05 Jan 2008 23:31:47 -0100

aspectj (1.5.3-1) unstable; urgency=low

  * New maintainer. Closes: #352521.
  * New upstream release. Closes: #286087.
  * AspectJ 5 builds cleanly with gcj. Closes: #397559.
  * Bump debhelper level to 5.
  * Convert debian/rules to cdbs.
  * Build manpages from the DocBook documentation.
  * Install wrapper scripts for ajdoc, aj, and aj5.
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Update debian/copyright.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 19 Aug 2007 12:16:17 +0200

aspectj (1.1.1-2) unstable; urgency=low

  * QA upload orphaning the package.
  * Use debhelper 4.
  * Bump Standards-Version (no change).

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jun 2006 12:43:40 +0200

aspectj (1.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Allow building with blackdown-j2sdk1.4 and ibm-j2sdk1.4
    (Closes: #306661, #274833).
  * Fix maintainer address (Closes: #330744).
  * Fix description typos (Closes: #249592).

 -- Christoph Berg <myon@debian.org>  Sun, 12 Feb 2006 14:45:25 +0100

aspectj (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Takashi Okamoto <tora@debian.org>  Mon,  3 May 2004 18:51:19 +0900

aspectj (1.0.6-2) unstable; urgency=low

  * Recompile to fix breakage.
  * New maintainer.

 -- James LewisMoss <dres@debian.org>  Mon, 19 Aug 2002 10:37:21 -0400

aspectj (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Sat, 27 Jul 2002 14:17:29 +0900

aspectj (1.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Takashi Okamoto <tora@debian.org>  Fri, 21 Jun 2002 16:38:31 +0900

=== debian/control ===
Source: aspectj
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
 junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), aspectj, html2text, maven-repo-helper
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
Homepage: http://www.eclipse.org/aspectj

Package: aspectj
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless
Description: A seamless aspect-oriented extension for Java
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.

Package: aspectj-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: aspect-oriented extension for Java - documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the documentation for aspectj.

## aspectj 1.6.9+dfsg

=== debian/changelog ===
aspectj (1.6.9+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.0 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 07 Jul 2010 00:34:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
 Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
  junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), aspectj, html2text, maven-repo-helper
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
 Homepage: http://www.eclipse.org/aspectj

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java
MODULES := org.aspectj/modules
DEB_BUILDDIR = $(MODULES)/build
DEB_ANT_BUILD_TARGET = aspectj
DEB_JARS = xalan2 ant-junit
DEB_COMPRESS_EXCLUDE = .pdf .java .xml

MKDIR := mkdir -p
LN_S := ln -sf

AJ_SCRIPTS  := debian/ajc debian/ajbrowser debian/ajdoc debian/aj debian/aj5
AJ_MANPAGES := debian/ajc.1 debian/ajdoc.1 debian/aj.1 debian/ajbrowser.1

AJ_ANT_HOME := $(MODULES)/lib/ant
AJ_ANT_JARS := ant.jar ant-junit.jar
AJ_XML_JARS := xercesImpl.jar xml-apis.jar

AJ_JUNIT_HOME := $(MODULES)/lib/junit
AJ_JUNIT_JARS := junit.jar

AJ_COMMONS_HOME := $(MODULES)/lib/commons
AJ_COMMONS_JAR := commons-logging.jar

AJ_ECLIPSE_HOME := $(MODULES)/lib/eclipse
AJ_BCEL_HOME := $(MODULES)/lib/bcel
AJ_ASM_HOME := $(MODULES)/lib/asm
AJ_JROCKIT_HOME := $(MODULES)/lib/ext/jrockit

AJ_BOOT_HOME := $(MODULES)/lib/aspectj
AJ_BOOT_JARS := aspectjlib.jar aspectjrt.jar aspectjtools.jar

VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')

pre-build:: debian/stamp-bootstrap

debian/aj.1: debian/aj.sgml
	docbook-to-man $< > $@

debian/ajbrowser.1: debian/ajbrowser.sgml
	docbook-to-man $< > $@

# reuse the DocBook xml documents here to generate manpages.
debian/%.1: org.aspectj/modules/docs/devGuideDB/%.xml
	sh debian/manpage_from.sh $< > $@

.PHONY: bootstrap
bootstrap: debian/stamp-bootstrap

debian/stamp-bootstrap: DEB_BUILDDIR=$(CURDIR)
debian/stamp-bootstrap: DEB_ANT_BUILDFILE=$(CURDIR)/debian/bootstrap.xml
debian/stamp-bootstrap:
	# Setup symlinks: ant
	$(MKDIR) $(AJ_ANT_HOME)/lib
	for f in $(AJ_ANT_JARS) ; do \
	   $(LN_S) /usr/share/ant/lib/$$f $(AJ_ANT_HOME)/lib ; \
	done
	for f in $(AJ_XML_JARS) ; do \
	   $(LN_S) /usr/share/java/$$f $(AJ_ANT_HOME)/lib ; \
	done

	# JUnit
	$(MKDIR) $(AJ_JUNIT_HOME)
	for f in $(AJ_JUNIT_JARS) ; do \
	   $(LN_S) /usr/share/java/$$f $(AJ_JUNIT_HOME) ; \
	done

	# commons-logging
	$(MKDIR) $(AJ_COMMONS_HOME)
	$(LN_S) /usr/share/java/$(AJ_COMMONS_JAR) $(AJ_COMMONS_HOME)/commons.jar
	
	# Setup our local.properties
	cp debian/local.properties $(MODULES)/build

	# bootstrap using aspectj itself
	$(MKDIR) $(AJ_BOOT_HOME)
	for f in $(AJ_BOOT_JARS) ; do \
	   $(LN_S) /usr/share/java/$$f $(AJ_BOOT_HOME)/lib ; \
	done

	# asm3
	$(MKDIR) $(AJ_ASM_HOME)
	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
	
	# eclipse (JDT)
	$(MKDIR) $(AJ_ECLIPSE_HOME)
	$(LN_S) /usr/lib/eclipse/plugins/org.eclipse.equinox.common_*.jar $(AJ_ECLIPSE_HOME)/org.eclipse.equinox.common.jar
	$(LN_S) /usr/lib/eclipse/plugins/org.eclipse.equinox.registry_*.jar $(AJ_ECLIPSE_HOME)/org.eclipse.equinox.registry.jar
	$(LN_S) /usr/lib/eclipse/plugins/org.eclipse.core.resources_*.jar $(AJ_ECLIPSE_HOME)/org.eclipse.core.resources.jar
	$(LN_S) /usr/lib/eclipse/plugins/org.eclipse.core.runtime_*.jar $(AJ_ECLIPSE_HOME)/org.eclipse.core.runtime.jar
	$(LN_S) /usr/lib/eclipse/plugins/org.eclipse.core.jobs_*.jar $(AJ_ECLIPSE_HOME)/org.eclipse.core.jobs.jar
	$(LN_S) /usr/lib/eclipse/plugins/org.eclipse.osgi_*.jar $(AJ_ECLIPSE_HOME)/org.eclipse.osgi.jar
	
	$(DEB_ANT_INVOKE)
	touch $@

.PHONY: clean-bootstrap
clean-bootstrap: DEB_BUILDDIR=$(CURDIR)
clean-bootstrap: DEB_ANT_BUILDFILE=$(CURDIR)/debian/bootstrap.xml
clean-bootstrap:
	$(DEB_ANT_INVOKE) clean
	rm -f debian/stamp-bootstrap

install/aspectj:: $(AJ_MANPAGES)
	for f in $(AJ_SCRIPTS) ; do \
	   dh_install $$f /usr/bin ; \
	done
	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
		org.aspectj/modules/aj-build/dist/tools/lib/aspectjrt.jar
	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
		org.aspectj/modules/aj-build/dist/tools/lib/aspectjtools.jar
	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
		org.aspectj/modules/aj-build/dist/tools/lib/aspectjweaver.jar

install/aspectj-doc::
	mv org.aspectj/modules/docs/dist/doc/changes.html org.aspectj/modules/docs/dist/doc/changelog.html
	html2text -o org.aspectj/modules/docs/dist/doc/changelog.txt org.aspectj/modules/docs/dist/doc/changelog.html
	dh_installchangelogs org.aspectj/modules/docs/dist/doc/changelog.html
	dh_installchangelogs org.aspectj/modules/docs/dist/doc/changelog.txt

clean::
	rm -Rf $(AJ_ECLIPSE_HOME)
	rm -Rf $(AJ_BOOT_HOME)/lib/aspectj*.jar
	rm -Rf $(AJ_ASM_HOME)/asm-3.1.jar
	rm -f $(DEB_BUILDDIR)/local.properties $(AJ_MANPAGES)
	rm -Rf $(AJ_COMMONS_HOME)
	rm -Rf $(AJ_JUNIT_HOME)
	rm -Rf $(AJ_ANT_HOME)
	rm -Rf $(MODULES)/aj-build
	-rm -rf debian/tmp

.PHONY: get-orig-source
get-orig-source:
	sh debian/cvs-get.sh

## aspectj 1.6.11+dfsg

=== debian/changelog ===
aspectj (1.6.11+dfsg-2) unstable; urgency=low

  * Readd B-D on itself (libaspectj-java) since the bootstrap phase still
    need part of iajc ant task to build everything (Closes: #628322).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 28 May 2011 22:08:47 +0200

aspectj (1.6.11+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.1 (no changes needed).
  * Fix local Javadoc links:
    - d/patches/07_javadoc_links.diff: Use locally installed
     javadoc packages and hyperlink with them.
    - d/control: Add B-D on default-java-doc and libasm3-java-doc.
  * d/control: Drop B-D on itself (our new bootstrap infrastructure doesn't need
    that anymore).
  * Split packages into :
    - aspectj: only contains CLI tools.
    - libaspectj-java: JAR librairies for /usr/share/java.
    - libaspectj-java-doc: 4 API's Javadoc.
    - aspectj-doc: Programming Guides and SDK Documentation.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 15 Mar 2011 23:54:31 +0100

=== debian/control ===
Source: aspectj
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
 junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), html2text, maven-repo-helper, default-jdk-doc,
 libasm3-java-doc, libaspectj-java
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
Homepage: http://www.eclipse.org/aspectj

Package: aspectj
Architecture: all
Depends: ${misc:Depends}, libaspectj-java (= ${source:Version}),
 default-jre-headless | java2-runtime-headless
Description: aspect-oriented extension for Java - tools
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the CLI tools of aspectj (aj5, ajc, ajbrowser).

Package: libaspectj-java
Architecture: all
Replaces: aspectj (<< 1.6.10+dfsg-1)
Conflicts: aspectj (<< 1.6.10+dfsg-1)
Depends: ${misc:Depends}
Suggests: aspectj
Description: aspect-oriented extension for Java - library
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the JAR libraries of aspectj.

Package: aspectj-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libaspectj-java-doc
Description: aspect-oriented extension for Java - documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides AspectJ Programming Guide, Diagnosis Guide and
 Development Environment Guide and Development Kit Developer's Notebook.

Package: libaspectj-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libasm3-java-doc
Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
Suggests: aspectj-doc
Description: aspect-oriented extension for Java - API documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the Javadoc of JAR libraries of aspectj.

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,6 @@
 AJ_BCEL_HOME := $(MODULES)/lib/bcel
 AJ_ASM_HOME := $(MODULES)/lib/asm
 AJ_JROCKIT_HOME := $(MODULES)/lib/ext/jrockit
-
-AJ_BOOT_HOME := $(MODULES)/lib/aspectj
-AJ_BOOT_JARS := aspectjlib.jar aspectjrt.jar aspectjtools.jar
 
 VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')
 
@@ -76,12 +73,6 @@
 	# Setup our local.properties
 	cp debian/local.properties $(MODULES)/build
 
-	# bootstrap using aspectj itself
-	$(MKDIR) $(AJ_BOOT_HOME)
-	for f in $(AJ_BOOT_JARS) ; do \
-	   $(LN_S) /usr/share/java/$$f $(AJ_BOOT_HOME)/lib ; \
-	done
-
 	# asm3
 	$(MKDIR) $(AJ_ASM_HOME)
 	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
@@ -109,14 +100,16 @@
 	for f in $(AJ_SCRIPTS) ; do \
 	   dh_install $$f /usr/bin ; \
 	done
-	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
-	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
+
+install/libaspectj-java::
+	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
 		org.aspectj/modules/aj-build/dist/tools/lib/aspectjrt.jar
-	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
-	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
+	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
 		org.aspectj/modules/aj-build/dist/tools/lib/aspectjtools.jar
-	mh_installpom -paspectj -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
-	mh_installjar -paspectj -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
+	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
 		org.aspectj/modules/aj-build/dist/tools/lib/aspectjweaver.jar
 
 install/aspectj-doc::

## aspectj 1.6.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Damien Raude-Morvan <drazzib@debian.org>
+Uploaders: Damien Raude-Morvan <drazzib@debian.org>
 Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
 Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
  junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), html2text, maven-repo-helper, default-jdk-doc,

## aspectj 1.6.12+dfsg

=== debian/changelog ===
aspectj (1.6.12+dfsg-3) unstable; urgency=low

  * Add a published Maven rule to help packagers (Closes: #654318).
  * Drop Michael Koch from Uploaders. Thanks for all you work !
    (Closes: #653990).

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 05 Jan 2012 00:40:57 +0100

aspectj (1.6.12+dfsg-2) unstable; urgency=low

  [ tony mancill ]
  * Team upload.
  * Apply JDK7 FTBFS patch (Closes: #651238)

 -- tony mancill <tmancill@debian.org>  Sun, 11 Dec 2011 22:23:10 -0800

aspectj (1.6.12+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 03 Dec 2011 02:43:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,7 @@
 	# asm3
 	$(MKDIR) $(AJ_ASM_HOME)
 	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
+	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.3.1.renamed.jar
 	
 	# eclipse (JDT)
 	$(MKDIR) $(AJ_ECLIPSE_HOME)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.eclipse.org/aspectj/downloads.php .*/tools/aspectj/aspectj-([\d\.]+).jar

## aspectj 1.8.3

=== debian/changelog ===
aspectj (1.8.3-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 8 (Closes: #757484)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 23:06:58 +0200

aspectj (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * debian/control:
    - Use libasm4-java instead of libasm3-java
    - Standards-Version updated to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9
  * debian/watch: Watch the Git tags and download the real source tarball
  * Renamed debian/cvs-get.sh to debian/orig-tar.sh and made it work with uscan
  * Use XZ compression for the upstream tarball
  * Keep the bcel-builder module and remove the bcel source archive
    in the upstream tarball
  * Expand the jdt sources in the upstream tarball
  * Modified debian/bootstrap.xml to work on the expanded sources
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 14:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,32 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 7), default-jdk, ant, ant-optional, cdbs
-Build-Depends-Indep: libxalan2-java, libcommons-logging-java, libregexp-java, docbook-xml, docbook-xsl, xsltproc, docbook-to-man,
- junit (>= 3.8.1), libasm3-java, eclipse-platform (>= 3.4.1), html2text, maven-repo-helper, default-jdk-doc,
- libasm3-java-doc, libaspectj-java
-Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/aspectj/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/aspectj/
+Build-Depends: ant, ant-optional, cdbs, debhelper (>= 9), default-jdk
+Build-Depends-Indep: default-jdk-doc,
+                     docbook-to-man,
+                     docbook-xml,
+                     docbook-xsl,
+                     eclipse-platform (>= 3.4.1),
+                     html2text,
+                     junit (>= 3.8.1),
+                     libasm4-java,
+                     libasm4-java-doc,
+                     libaspectj-java,
+                     libcommons-logging-java,
+                     libregexp-java,
+                     libxalan2-java,
+                     maven-repo-helper,
+                     xsltproc
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/aspectj.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/aspectj.git
 Homepage: http://www.eclipse.org/aspectj
 
 Package: aspectj
 Architecture: all
-Depends: ${misc:Depends}, libaspectj-java (= ${source:Version}),
- default-jre-headless | java2-runtime-headless
+Depends: default-jre-headless | java2-runtime-headless,
+         libaspectj-java (= ${source:Version}),
+         ${misc:Depends}
 Description: aspect-oriented extension for Java - tools
  AspectJ enables the clean modularization of crosscutting concerns
  such as: error checking and handling, synchronization, context-sensitive
@@ -56,7 +69,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libasm3-java-doc
+Recommends: default-jdk-doc, libasm4-java-doc
 Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
 Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
 Suggests: aspectj-doc

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
-MODULES := org.aspectj/modules
+MODULES := .
 DEB_BUILDDIR = $(MODULES)/build
 DEB_ANT_BUILD_TARGET = aspectj
 DEB_JARS = xalan2 ant-junit
@@ -42,7 +42,7 @@
 	docbook-to-man $< > $@
 
 # reuse the DocBook xml documents here to generate manpages.
-debian/%.1: org.aspectj/modules/docs/devGuideDB/%.xml
+debian/%.1: $(MODULES)/docs/devGuideDB/%.xml
 	sh debian/manpage_from.sh $< > $@
 
 .PHONY: bootstrap
@@ -73,10 +73,14 @@
 	# Setup our local.properties
 	cp debian/local.properties $(MODULES)/build
 
-	# asm3
+	# asm5
 	$(MKDIR) $(AJ_ASM_HOME)
-	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.1.jar
-	$(LN_S) /usr/share/java/asm3.jar $(AJ_ASM_HOME)/asm-3.3.1.renamed.jar
+	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.1.jar
+	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.1.renamed.jar
+
+	# regexp
+	$(MKDIR) lib/regexp
+	$(LN_S) /usr/share/java/regexp.jar lib/regexp/regexp.jar
 	
 	# eclipse (JDT)
 	$(MKDIR) $(AJ_ECLIPSE_HOME)
@@ -103,33 +107,41 @@
 	done
 
 install/libaspectj-java::
-	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjrt.pom
-	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjrt.pom \
-		org.aspectj/modules/aj-build/dist/tools/lib/aspectjrt.jar
-	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjtools.pom
-	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjtools.pom \
-		org.aspectj/modules/aj-build/dist/tools/lib/aspectjtools.jar
-	mh_installpom -plibaspectj-java -e$(VERSION) org.aspectj/modules/build/aspectjweaver.pom
-	mh_installjar -plibaspectj-java -e$(VERSION) -l org.aspectj/modules/build/aspectjweaver.pom \
-		org.aspectj/modules/aj-build/dist/tools/lib/aspectjweaver.jar
+	mh_installpom -plibaspectj-java -e$(VERSION) $(MODULES)/build/aspectjrt.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l $(MODULES)/build/aspectjrt.pom \
+		$(MODULES)/aj-build/dist/tools/lib/aspectjrt.jar
+	mh_installpom -plibaspectj-java -e$(VERSION) $(MODULES)/build/aspectjtools.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l $(MODULES)/build/aspectjtools.pom \
+		$(MODULES)/aj-build/dist/tools/lib/aspectjtools.jar
+	mh_installpom -plibaspectj-java -e$(VERSION) $(MODULES)/build/aspectjweaver.pom
+	mh_installjar -plibaspectj-java -e$(VERSION) -l $(MODULES)/build/aspectjweaver.pom \
+		$(MODULES)/aj-build/dist/tools/lib/aspectjweaver.jar
 
 install/aspectj-doc::
-	mv org.aspectj/modules/docs/dist/doc/changes.html org.aspectj/modules/docs/dist/doc/changelog.html
-	html2text -o org.aspectj/modules/docs/dist/doc/changelog.txt org.aspectj/modules/docs/dist/doc/changelog.html
-	dh_installchangelogs org.aspectj/modules/docs/dist/doc/changelog.html
-	dh_installchangelogs org.aspectj/modules/docs/dist/doc/changelog.txt
+	mv $(MODULES)/docs/dist/doc/changes.html $(MODULES)/docs/dist/doc/changelog.html
+	html2text -o $(MODULES)/docs/dist/doc/changelog.txt $(MODULES)/docs/dist/doc/changelog.html
+	dh_installchangelogs $(MODULES)/docs/dist/doc/changelog.html
+	dh_installchangelogs $(MODULES)/docs/dist/doc/changelog.txt
 
 clean::
+	mh_clean
 	rm -Rf $(AJ_ECLIPSE_HOME)
 	rm -Rf $(AJ_BOOT_HOME)/lib/aspectj*.jar
-	rm -Rf $(AJ_ASM_HOME)/asm-3.1.jar
+	rm -Rf $(AJ_ASM_HOME)/asm-*.jar
+	rm -Rf lib/regexp
 	rm -f $(DEB_BUILDDIR)/local.properties $(AJ_MANPAGES)
 	rm -Rf $(AJ_COMMONS_HOME)
 	rm -Rf $(AJ_JUNIT_HOME)
 	rm -Rf $(AJ_ANT_HOME)
 	rm -Rf $(MODULES)/aj-build
 	-rm -rf debian/tmp
+	rm -Rf lib/bcel/bcel.jar
+	rm -Rf lib/bcel/bcel-verifier.jar
+	rm -Rf bcel-builder/bin
+	rm -Rf lib/bcel/*.zip
+	rm -Rf org.eclipse.jdt.core/classes
+	rm -Rf org.eclipse.jdt.core/jdtcore-for-aspectj.jar
 
 .PHONY: get-orig-source
 get-orig-source:
-	sh debian/cvs-get.sh
+	uscan --download-current-version --rename

## aspectj 1.8.5

=== debian/changelog ===
aspectj (1.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed the Java 8 compatibility patch (fixed upstream)
  * Improved the reproducibility by using the date of the changelog
    in Version.java

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Apr 2015 22:14:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,15 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
+
+# Inject the date from the changelog in Version.java
+DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)
+DEB_CHANGELOG_DATE_FORMATTED = $(shell date '--date=$(DEB_CHANGELOG_DATETIME)' +'%A %b %d, %Y at %H:%M:%S %Z')
+
 MODULES := .
 DEB_BUILDDIR = $(MODULES)/build
 DEB_ANT_BUILD_TARGET = aspectj
+DEB_ANT_ARGS = '-Dbuild.time=$(DEB_CHANGELOG_DATE_FORMATTED)'
 DEB_JARS = xalan2 ant-junit
 DEB_COMPRESS_EXCLUDE = .pdf .java .xml

## aspectj 1.8.8

=== debian/changelog ===
aspectj (1.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Build with source/target set to 1.7
    - Updated the link to asm.jar in debian/rules

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 31 Jan 2016 21:51:05 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 Package: aspectj
 Architecture: all
-Depends: default-jre-headless | java2-runtime-headless,
+Depends: default-jre-headless | java7-runtime-headless,
          libaspectj-java (= ${source:Version}),
          ${misc:Depends}
 Description: aspect-oriented extension for Java - tools

=== debian/rules ===
--- 
+++ 
@@ -81,8 +81,8 @@
 
 	# asm5
 	$(MKDIR) $(AJ_ASM_HOME)
-	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.1.jar
-	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.1.renamed.jar
+	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.4.jar
+	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.4.renamed.jar
 
 	# regexp
 	$(MKDIR) lib/regexp

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/_/./g \
http://git.eclipse.org/c/aspectj/org.aspectj.git/refs/tags .*org.aspectj-([\d_]+).tar.gz debian debian/orig-tar.sh

## aspectj 1.8.9

=== debian/changelog ===
aspectj (1.8.9-2) unstable; urgency=medium

  * Team upload.
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Sep 2016 13:37:58 +0200

aspectj (1.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 3.9.7 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 27 Mar 2016 01:11:44 +0100

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,17 @@
                      eclipse-platform (>= 3.4.1),
                      html2text,
                      junit (>= 3.8.1),
-                     libasm4-java,
-                     libasm4-java-doc,
+                     libasm-java (>= 5.0),
+                     libasm-java-doc,
                      libaspectj-java,
                      libcommons-logging-java,
                      libregexp-java,
                      libxalan2-java,
                      maven-repo-helper,
                      xsltproc
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/aspectj.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/aspectj.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/aspectj.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/aspectj.git
 Homepage: http://www.eclipse.org/aspectj
 
 Package: aspectj
@@ -69,7 +69,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libasm4-java-doc
+Recommends: default-jdk-doc, libasm-java-doc
 Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
 Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
 Suggests: aspectj-doc

=== debian/rules ===
--- 
+++ 
@@ -81,8 +81,8 @@
 
 	# asm5
 	$(MKDIR) $(AJ_ASM_HOME)
-	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.4.jar
-	$(LN_S) /usr/share/java/asm4.jar $(AJ_ASM_HOME)/asm-5.0.4.renamed.jar
+	$(LN_S) /usr/share/java/asm.jar $(AJ_ASM_HOME)/asm-5.0.4.jar
+	$(LN_S) /usr/share/java/asm.jar $(AJ_ASM_HOME)/asm-5.0.4.renamed.jar
 
 	# regexp
 	$(MKDIR) lib/regexp

## aspectj 1.9.1

=== debian/changelog ===
aspectj (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Build depend on libaspectj-java (>= 1.9.0~beta5-1)
    - Build depend on libasm-java (>= 6.1)
    - Build with default-jdk (Closes: #873213)
  * Replaced Damien Raude-Morvan as uploader

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Sep 2018 12:31:17 +0200

aspectj (1.9.0~beta5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Depend on the updated Eclipse packages
    - Modified debian/orig-tar.sh to ignore org.eclipse.jdt.core/src/
    - Updated the symlinks for ASM in debian/rules
  * Temporarily build with openjdk-8-jdk
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Sep 2018 01:41:41 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export JAVA_HOME=/usr/lib/jvm/default-java/

VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')

%:
	dh $@ --buildsystem=ant --with maven-repo-helper

override_dh_auto_configure:
	# Setup symlinks: ant
	mkdir -p lib/ant/lib
	ln -sf /usr/share/ant/lib/ant.jar lib/ant/lib

	# JUnit
	mkdir -p lib/junit
	ln -sf /usr/share/java/junit.jar  lib/junit

	# commons-logging
	mkdir -p lib/commons
	ln -sf /usr/share/java/commons-logging.jar lib/commons/commons.jar

	# asm5
	mkdir -p lib/asm
	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-6.1.1.jar
	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-6.1.1.renamed.jar

	# regexp
	mkdir -p lib/regexp
	ln -sf /usr/share/java/regexp.jar lib/regexp/regexp.jar

	# eclipse (JDT)
	mkdir -p lib/eclipse
	ln -sf /usr/share/java/equinox-common.jar         lib/eclipse/org.eclipse.equinox.common.jar
	ln -sf /usr/share/java/equinox-registry.jar       lib/eclipse/org.eclipse.equinox.registry.jar
	ln -sf /usr/share/java/eclipse-core-resources.jar lib/eclipse/org.eclipse.core.resources.jar
	ln -sf /usr/share/java/eclipse-core-runtime.jar   lib/eclipse/org.eclipse.core.runtime.jar
	ln -sf /usr/share/java/eclipse-core-jobs.jar      lib/eclipse/org.eclipse.core.jobs.jar
	ln -sf /usr/share/java/eclipse-osgi.jar           lib/eclipse/org.eclipse.osgi.jar

override_dh_auto_build:
	# Build the manpages
	docbook-to-man debian/aj.sgml        > debian/aj.1
	docbook-to-man debian/ajbrowser.sgml > debian/ajbrowser.1
	sh debian/manpage_from.sh docs/devGuideDB/ajc.xml   > debian/ajc.1
	sh debian/manpage_from.sh docs/devGuideDB/ajdoc.xml > debian/ajdoc.1

	# Build AspectJ
	dh_auto_build -- -f debian/bootstrap.xml
	dh_auto_build -- -f build/build.xml aspectj '-Dbuild.time=$(shell date '--date=@$(SOURCE_DATE_EPOCH)' +'%A %b %d, %Y at %H:%M:%S %Z')'

override_dh_auto_install:
	mh_installpom -plibaspectj-java -e$(VERSION) build/aspectjrt.pom
	mh_installjar -plibaspectj-java -e$(VERSION) -l build/aspectjrt.pom aj-build/dist/tools/lib/aspectjrt.jar
	mh_installpom -plibaspectj-java -e$(VERSION) build/aspectjtools.pom
	mh_installjar -plibaspectj-java -e$(VERSION) -l build/aspectjtools.pom aj-build/dist/tools/lib/aspectjtools.jar
	mh_installpom -plibaspectj-java -e$(VERSION) build/aspectjweaver.pom
	mh_installjar -plibaspectj-java -e$(VERSION) -l build/aspectjweaver.pom aj-build/dist/tools/lib/aspectjweaver.jar

	mv docs/dist/doc/changes.html docs/dist/doc/changelog.html
	html2text -o docs/dist/doc/changelog.txt docs/dist/doc/changelog.html
	dh_installchangelogs docs/dist/doc/changelog.html
	dh_installchangelogs docs/dist/doc/changelog.txt

override_dh_auto_clean:

## aspectj 1.9.1+really1.9.0~beta5

=== debian/changelog ===
aspectj (1.9.1+really1.9.0~beta5-1ubuntu1) cosmic; urgency=medium

  * Revert to 1.9.0~beta5-1 to bootstrap

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Oct 2018 02:55:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,50 @@
 Source: aspectj
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: ant, ant-optional, cdbs, debhelper (>= 9), default-jdk
-Build-Depends-Indep: default-jdk-doc,
-                     docbook-to-man,
-                     docbook-xml,
-                     docbook-xsl,
-                     eclipse-platform (>= 3.4.1),
-                     html2text,
-                     junit (>= 3.8.1),
-                     libasm-java (>= 5.0),
-                     libasm-java-doc,
-                     libaspectj-java,
-                     libcommons-logging-java,
-                     libregexp-java,
-                     libxalan2-java,
-                     maven-repo-helper,
-                     xsltproc
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/aspectj.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/aspectj.git
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 11~),
+ default-jdk,
+ docbook-to-man,
+ docbook-xml,
+ docbook-xsl,
+ html2text,
+ junit (>= 3.8.1),
+ libasm-java (>= 5.0),
+ libasm-java-doc,
+ libaspectj-java,
+ libcommons-logging-java,
+ libequinox-app-java,
+ libequinox-common-java,
+ libequinox-registry-java,
+ libequinox-preferences-java,
+ libeclipse-core-contenttype-java,
+ libeclipse-core-filesystem-java,
+ libeclipse-core-jobs-java,
+ libeclipse-core-resources-java,
+ libeclipse-core-runtime-java,
+ libeclipse-osgi-java,
+ libeclipse-text-java,
+ libregexp-java,
+ libxalan2-java,
+ maven-repo-helper,
+ openjdk-8-jdk,
+ xsltproc
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/aspectj.git
+Vcs-Browser: https://salsa.debian.org/java-team/aspectj
 Homepage: http://www.eclipse.org/aspectj
 
 Package: aspectj
 Architecture: all
-Depends: default-jre-headless | java7-runtime-headless,
-         libaspectj-java (= ${source:Version}),
-         ${misc:Depends}
+Depends:
+ default-jre-headless | java8-runtime-headless,
+ libaspectj-java (= ${source:Version}),
+ ${misc:Depends}
 Description: aspect-oriented extension for Java - tools
  AspectJ enables the clean modularization of crosscutting concerns
  such as: error checking and handling, synchronization, context-sensitive

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export JAVA_HOME=/usr/lib/jvm/default-java/
+export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_HOST_ARCH)/
 
 VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')
 
@@ -24,8 +25,8 @@
 
 	# asm5
 	mkdir -p lib/asm
-	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-6.1.1.jar
-	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-6.1.1.renamed.jar
+	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.jar
+	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.renamed.jar
 
 	# regexp
 	mkdir -p lib/regexp

## aspectj 1.9.2~rc2

=== debian/changelog ===
aspectj (1.9.2~rc2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #909251)
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 18:07:20 +0200

## aspectj 1.9.2

=== debian/changelog ===
aspectj (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * Improved the reproducibility by using an UTC timestamp in Version.java
  * Track and download the new releases from GitHub
  * Removed the -java-doc package
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Converted debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Jan 2021 17:08:44 +0100

aspectj (1.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the symlinks for ASM in debian/rules

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Jan 2019 13:08:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: aspectj
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  default-jdk,
  docbook-to-man,
  docbook-xml,
  docbook-xsl,
  html2text,
  junit (>= 3.8.1),
- libasm-java (>= 5.0),
- libasm-java-doc,
- libaspectj-java,
+ libasm-java (>= 6.1),
+ libaspectj-java (>= 1.9.0~beta5-1~),
  libcommons-logging-java,
  libequinox-app-java,
  libequinox-common-java,
@@ -32,9 +30,8 @@
  libregexp-java,
  libxalan2-java,
  maven-repo-helper,
- openjdk-8-jdk,
  xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/aspectj.git
 Vcs-Browser: https://salsa.debian.org/java-team/aspectj
 Homepage: http://www.eclipse.org/aspectj
@@ -71,7 +68,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libaspectj-java-doc
 Description: aspect-oriented extension for Java - documentation
  AspectJ enables the clean modularization of crosscutting concerns
  such as: error checking and handling, synchronization, context-sensitive
@@ -80,19 +76,3 @@
  .
  This package provides AspectJ Programming Guide, Diagnosis Guide and
  Development Environment Guide and Development Kit Developer's Notebook.
-
-Package: libaspectj-java-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libasm-java-doc
-Replaces: aspectj-doc (<< 1.6.10+dfsg-1)
-Conflicts: aspectj-doc (<< 1.6.10+dfsg-1)
-Suggests: aspectj-doc
-Description: aspect-oriented extension for Java - API documentation
- AspectJ enables the clean modularization of crosscutting concerns
- such as: error checking and handling, synchronization, context-sensitive
- behavior, performance optimizations, monitoring and logging, debugging
- support, multi-object protocols.
- .
- This package provides the Javadoc of JAR libraries of aspectj.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export JAVA_HOME=/usr/lib/jvm/default-java/
-export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_HOST_ARCH)/
 
 VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')
 
@@ -25,8 +24,8 @@
 
 	# asm5
 	mkdir -p lib/asm
-	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.jar
-	ln -sf /usr/share/java/asm.jar lib/asm/asm-6.0_ALPHA.renamed.jar
+	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-7.0-beta.20181001.jar
+	ln -sf /usr/share/java/asm-all.jar lib/asm/asm-7.0-beta.renamed.jar
 
 	# regexp
 	mkdir -p lib/regexp
@@ -50,7 +49,7 @@
 
 	# Build AspectJ
 	dh_auto_build -- -f debian/bootstrap.xml
-	dh_auto_build -- -f build/build.xml aspectj '-Dbuild.time=$(shell date '--date=@$(SOURCE_DATE_EPOCH)' +'%A %b %d, %Y at %H:%M:%S %Z')'
+	dh_auto_build -- -f build/build.xml aspectj '-Dbuild.time=$(shell date '--date=@$(SOURCE_DATE_EPOCH)' --utc +'%A %b %d, %Y at %H:%M:%S %Z')'
 
 override_dh_auto_install:
 	mh_installpom -plibaspectj-java -e$(VERSION) build/aspectjrt.pom

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/_/./g \
https://github.com/eclipse/org.aspectj/tags .*/V([\d_]+).tar.gz debian debian/orig-tar.sh
